Bug 115107 - [Qt] Animated opacity does not trigger accelerated compositing
Summary: [Qt] Animated opacity does not trigger accelerated compositing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Allan Sandfeld Jensen
URL:
Keywords:
Depends on:
Blocks: 106309 110211
  Show dependency treegraph
 
Reported: 2013-04-24 08:10 PDT by Allan Sandfeld Jensen
Modified: 2013-04-26 06:46 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.95 KB, patch)
2013-04-24 08:15 PDT, Allan Sandfeld Jensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Sandfeld Jensen 2013-04-24 08:10:36 PDT
Opacity is one of the properties where we support accelerated compositing, but only animated transforms and filters they do not themselves trigger accelerated compositing. Since opacity are always performed through some type of compositing (using TransparencyLayers if not accelerated), it should always be faster for us to choose AC. 

That opacity animations does not trigger compositing was changed in http://trac.webkit.org/changeset/45309, which means it is desired behavior at least on Mac. So we should make sure this is an optional behavior change.
Comment 1 Allan Sandfeld Jensen 2013-04-24 08:15:50 PDT
Created attachment 199457 [details]
Patch
Comment 2 WebKit Commit Bot 2013-04-24 08:18:32 PDT
Attachment 199457 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCore/page/ChromeClient.h', u'Source/WebCore/rendering/RenderLayerCompositor.cpp', u'Source/WebKit/qt/ChangeLog', u'Source/WebKit/qt/WebCoreSupport/ChromeClientQt.cpp']" exit_code: 1
Source/WebCore/rendering/RenderLayerCompositor.cpp:2110:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Allan Sandfeld Jensen 2013-04-24 08:19:26 PDT
(In reply to comment #0)
> but only animated transforms and filters they do not themselves trigger accelerated compositing. 
> 
Sentence refactoring mistake, read: "but unlike..."
Comment 4 Noam Rosenthal 2013-04-24 09:05:37 PDT
Comment on attachment 199457 [details]
Patch

Shouldn't AnimationTrigger cover this?
Comment 5 Allan Sandfeld Jensen 2013-04-24 09:35:27 PDT
(In reply to comment #4)
> (From update of attachment 199457 [details])
> Shouldn't AnimationTrigger cover this?

Well apparently not. It only triggers on animated transforms and filters.
Comment 6 WebKit Commit Bot 2013-04-25 11:18:02 PDT
Comment on attachment 199457 [details]
Patch

Clearing flags on attachment: 199457

Committed r149123: <http://trac.webkit.org/changeset/149123>
Comment 7 WebKit Commit Bot 2013-04-25 11:18:05 PDT
All reviewed patches have been landed.  Closing bug.